// Copyright (C) Univ. Paris-SUD, Johan Oudinet <oudinet@lri.fr> - 2008, 2009
//  
// This file is part of Rukia.
//  
// Rukia is free software: you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//  
// Rukia is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//  
// You should have received a copy of the GNU Lesser General Public
// License along with Rukia.  If not, see <http://www.gnu.org/licenses/>.
//  
#ifndef RUKIA_IO_DOT_LOAD_HH
# define RUKIA_IO_DOT_LOAD_HH
# include <string>
# include <fstream>
# include <boost/graph/graphviz.hpp>
# include <rukia/automaton.hh>
namespace rukia
{

  namespace io
  {

    namespace dot
    {

      void load (automaton& a, const std::string& filename)
      {
	boost::dynamic_properties dp;
	dp.property ("id", boost::get (&::rukia::detail::state::id, a));
	dp.property ("label",
		     boost::get (&::rukia::detail::transition::label, a));
	std::ifstream file (filename.c_str());
	if (! file)
	  {
	    std::cerr << "error: file '" << filename
		      << "' not found!";
	    exit (1);
	  }
	read_graphviz (file, a, dp, "id");
      }

    } // end namespace rukia::io::dot

  } // end namespace rukia::io

} // end namespace rukia

#endif // ! RUKIA_IO_DOT_LOAD_HH
